<section>
    <form
      fxLayout="column"
      fxLayoutAlign="center center"
      fxLayoutGap="10px"
      [formGroup]="loginForm"
      (ngSubmit)="onSubmit()">
      <mat-form-field>
        <input
          type="email"
          matInput
          placeholder="Your email"
          formControlName="email">
        <mat-hint>Please enter a valid email.</mat-hint>
        <mat-error>Invalid or missing email.</mat-error>
      </mat-form-field>
      <mat-form-field>
        <input
          type="password"
          matInput
          placeholder="Your password"
          formControlName="password">
        <mat-hint>Please enter your password.</mat-hint>
        <mat-error>Missing password.</mat-error>
      </mat-form-field>
      <button *ngIf="!(isLoading$ | async)" type="submit" mat-raised-button color="primary" [disabled]="loginForm.invalid">Submit</button>
      <mat-spinner *ngIf="isLoading$ | async"></mat-spinner>
    </form>
  </section>

  <!-- <ol>
    <li>Add an email and password field (with Material Components of course)</li>
    <li>Add validation (email => required and email, password => required)</li>
    <li>Show errors and hints</li>
    <li>Make form submittable and disable button if invalid</li>
    <li>BONUS: Do all of that by using the reactive approach!</li>
  </ol> -->
